public class Alkalmazott {

    private String nev;

    private int eletkor;

    private int gyerekek_szama;

    private int fizetes;


    public Alkalmazott(String nev_, int eletkor_, int gyerekek_szama_, int fizetes_) {
        this.nev = nev_;
        this.eletkor = eletkor_;
        this.gyerekek_szama = gyerekek_szama_;
        this.fizetes = fizetes_;
    }

    @Override
    public String toString() {
        return nev + " (" + eletkor + " éves) " + gyerekek_szama +
                " gyerek: " + fizetes + " Ft/hó";
    }

    public int evesSzabadsag() {
        int eletkor_sz = 0;
        if ( eletkor >= 25 && eletkor < 28 ) eletkor_sz = 1;
        if ( eletkor >= 28 && eletkor < 31 ) eletkor_sz = 2;
        if ( eletkor >= 31 && eletkor < 33 ) eletkor_sz = 3;
        if ( eletkor >= 33 && eletkor < 35 ) eletkor_sz = 4;
        if ( eletkor >= 35 && eletkor < 37 ) eletkor_sz = 5;
        if ( eletkor >= 37 && eletkor < 39 ) eletkor_sz = 6;
        if ( eletkor >= 39 && eletkor < 41 ) eletkor_sz = 7;
        if ( eletkor >= 41 && eletkor < 43 ) eletkor_sz = 8;
        if ( eletkor >= 43 && eletkor < 45 ) eletkor_sz = 9;
        if ( eletkor >= 45 ) eletkor_sz = 10;

        int pot_sz = 0;
        if (gyerekek_szama <= 2) {
            pot_sz = 2 * gyerekek_szama;
        } else {
            pot_sz = 7;
        }

        return 20 + eletkor_sz + pot_sz;
    }


    public int getEletkor() {
        return eletkor;
    }

    public int getFizetes() {
        return fizetes;
    }
}
