public class Helyiseg {

    private String nev;

    private int terulet; // m2

    private Alkalmazott szemely; // ki van ott

    private Eszkoz[] eszkozok; // mik vannak ott

    private int eszkoz_darabszam;


    public Helyiseg(String nev_, int terulet_, Alkalmazott szemely_) {
        this.nev = nev_;
        this.terulet = terulet_;
        this.szemely = szemely_;
        this.eszkozok = new Eszkoz[20];
        this.eszkoz_darabszam = 0;
    }

    public boolean betesz(Eszkoz uj_eszkoz) {
        if (eszkoz_darabszam == 20) {
            return false;
        }
        eszkozok[eszkoz_darabszam] = uj_eszkoz;
        eszkoz_darabszam++;

        return true;
    }


    @Override
    public String toString() {
        return  nev + ": " + terulet + "m2, " + szemely.toString() +
                " Eszköz darab: " + eszkoz_darabszam;
    }

    public double arany() {
        return szemely.getFizetes()/terulet;
    }

    public Eszkoz[] getEszkozok() {
        return eszkozok;
    }

    public int getEszkoz_darabszam() {
        return eszkoz_darabszam;
    }
}
